package com.miaxis.customer.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.customer.domain.CustomerInfo;
import com.miaxis.customer.vo.CustomerInfoVo;
import org.apache.ibatis.annotations.Param;

/**
 * 客户信息Mapper接口
 *
 * @author miaxis
 * @date 2021-03-10
 */
public interface CustomerInfoMapper extends BaseMapper<CustomerInfo> {

    /**
     * 查询客户信息列表
     *
     * @param customerInfo 客户信息
     * @return 客户信息集合
     */
    List<CustomerInfo> selectCustomerInfoList(CustomerInfo customerInfo);

    /**
     * 获取客户信息详细信息
     * @param id
     * @return
     */
    CustomerInfoVo getCustomerById(@Param("id") Long id);

    /**
     * 查询所属品类商家
     * @param productId
     * @return
     */
    List<CustomerInfoVo> getCustomerListByProductId(@Param("productId") Long productId);

    /**
     * 查询精选商家列表 根据收藏数排行
     * @return
     */
    List<CustomerInfoVo> getCustomerListByCollectionCount();

}
