package com.miaxis.question.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 题库对象 question_info
 *
 * @author miaxis
 * @date 2021-03-12
 */
@Data
@ApiModel(value = "QuestionInfoDto", description = "题库传参")
public class QuestionInfoDto extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId("id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 类型 */
    @Excel(name = "类型 1:选择题 2:单选题 3:多选题")
    @TableField("type")
    @ApiModelProperty(value = "类型 1:选择题 2:单选题 3:多选题")
    private Long type;


    /** 许可车型 */
    @Excel(name = "许可车型")
    @TableField("license_type")
    @ApiModelProperty(value = "许可车型")
    private String licenseType;


    /** 科目 */
    @Excel(name = "科目")
    @TableField("kemu")
    @ApiModelProperty(value = "科目")
    private Long kemu;


    /**
     * 是否显示
     */
    @Excel(name = "是否显示")
    @TableField("show_option_type")
    @ApiModelProperty(value = "是否显示")
    private Long showOptionType;

}
