package com.miaxis.topic.service;

import java.util.List;

import com.miaxis.common.core.domain.Response;
import com.miaxis.topic.domain.TopicInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.topic.dto.TopicInfoDto;
import com.miaxis.topic.vo.TopicInfoVo;

/**
 * 专题Service接口
 *
 * @author miaxis
 * @date 2021-03-11
 */
public interface ITopicInfoService extends IService<TopicInfo>{

    /**
     * 查询专题列表
     *
     * @param topicInfoVo 专题
     * @return 专题集合
     */
    List<TopicInfoVo> selectTopicInfoList(TopicInfoVo topicInfoVo);

    /**
     * 新增专题
     * @param topicInfoDto
     * @return
     */
    Response<Integer> addTopic(TopicInfoDto topicInfoDto);

    /**
     * 删除专题
     * @param ids
     * @return
     */
    Response<Integer> removeTopicByIds(Long[] ids);

    /**
     * 查询专题详情
     * @param id
     * @return
     */
    Response<TopicInfoVo> getTopicDetailsById(Long id);

    /**
     * 更新 0：上架 / 1：下架
     * @param ids
     * @param shelfStatus
     * @return
     */
    Response updateShelfStatus(Long[] ids, Integer shelfStatus);
}
