package com.miaxis.user.domain;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import com.miaxis.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

/**
 * 缴费对象 user_pay
 *
 * @author miaxis
 * @date 2020-12-29
 */
@Data
@TableName("user_pay")
@ApiModel(value = "UserPay", description = "缴费对象 user_pay")
public class UserPay extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /** 用户表主键 */
    @Excel(name = "用户表主键")
    @TableField("user_id")
    @ApiModelProperty(value = "用户表主键")
    private Long userId;

    /** 总金额 */
    @Excel(name = "总金额")
    @TableField("price")
    @ApiModelProperty(value = "总金额")
    private Double price;

    /** 缴费状态0:未缴费 1:已缴费  */
    @Excel(name = "缴费状态0:未缴费 1:已缴费 ")
    @TableField("pay_status")
    @ApiModelProperty(value = "缴费状态0:未缴费 1:已缴费 ")
    private Long payStatus;

    /** 1:理科中心学习材料费 2:模拟中心机位费 3:驾校费用、4:班型费用 */
    @Excel(name = "1:理科中心学习材料费 2:模拟中心机位费 3:驾校费用、4:班型费用")
    @TableField("pay_type")
    @ApiModelProperty(value = "1:理科中心学习材料费 2:模拟中心机位费 3:驾校费用、4:班型费用")
    private Long payType;

}
